import request from "@/utils/request";
//预警单-告警单策略分页查询
export function getStrategyPage(data) {
  return request({
    url: "/process-boot/process/thsWarnStrategy/getStrategyPage",
    method: "post",
    data,
  });
}
//预警单-告警单单条新增
export function insertStrategy(data) {
  return request({
    url: "/process-boot/process/thsWarnStrategy/insertStrategy",
    method: "post",
    data,
  });
}
//预警单-告警单信息删除
export function delStrategy(data) {
  return request({
    url: "/process-boot/process/thsWarnStrategy/delStrategy",
    method: "post",
    params: data,
  });
}
//预警单-告警单修改状态
export function updateStrategyState(data) {
  return request({
    url: "/process-boot/process/thsWarnStrategy/updateStrategyState",
    method: "post",
    data,
  });
}
//预警单-告警单修改状态
export function updateStrategy(data) {
  return request({
    url: "/process-boot/process/thsWarnStrategy/updateStrategy",
    method: "post",
    data,
  });
}
//预警单-告警单修改状态
export function getUpdateStrategy(data) {
  return request({
    url: "/process-boot/process/thsWarnStrategy/getUpdateStrategy",
    method: "post",
    params: data,
  });
}
//预警单-告警单信息绑定
export function bindStrategy(data) {
  return request({
    url: "/process-boot/process/thsWarnStrategy/bindStrategy",
    method: "post",
    data,
  });
}
//监测点查询接口
export function getMonitor(data) {
  return request({
    url: "/process-boot/process/thsWarnStrategy/getMonitor",
    method: "get",
    params: data,
  });
}
//监测点绑定
export function bindMonitor(data) {
  return request({
    url: "/process-boot/process/thsWarnStrategy/bindMonitor",
    method: "post",
    data,
  });
}
//数据查询
export function getStrategyList(data) {
  return request({
    url: "/process-boot/process/thsWarnStrategy/getStrategyList",
    method: "post",
    data,
  });
}
//监测点回显
export function echoMonitor(data) {
  return request({
    url: "/process-boot/process/thsWarnStrategy/echoMonitor",
    method: "get",
    params:data,
  });
}
